Dokumente abrufen¶
GET /documents/¶
Use this operation to retrieve metadata about all available documents and Slack channels within the data sources.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page |
query | integer | Page's index | |
page_size |
query | integer | The maximum number of documents returned in a page |
Responses
200— Successful operation
Beispielanfragen¶
curl -X GET
"https://api.rememberizer.ai/api/v1/documents/?page=1&page_size=20&integration_type=google_drive"
-H "Authorization: Bearer YOUR_JWT_TOKEN"
Info
Ersetzen Sie YOUR_JWT_TOKEN durch Ihr tatsächliches JWT-Token.
const getDocuments = async (page = 1, pageSize = 20, integrationType = 'google_drive') => {
const url = new URL('https://api.rememberizer.ai/api/v1/documents/');
url.searchParams.append('page', page);
url.searchParams.append('page_size', pageSize);
if (integrationType) {
url.searchParams.append('integration_type', integrationType);
}
const response = await fetch(url.toString(), {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_JWT_TOKEN'
}
});
const data = await response.json();
console.log(data);
};
getDocuments();
Info
Ersetzen Sie YOUR_JWT_TOKEN durch Ihr tatsächliches JWT-Token.
import requests
def get_documents(page=1, page_size=20, integration_type=None):
headers = {
"Authorization": "Bearer YOUR_JWT_TOKEN"
}
params = {
"page": page,
"page_size": page_size
}
if integration_type:
params["integration_type"] = integration_type
response = requests.get(
"https://api.rememberizer.ai/api/v1/documents/",
headers=headers,
params=params
)
data = response.json()
print(data)
get_documents(integration_type="google_drive")
Info
Ersetzen Sie YOUR_JWT_TOKEN durch Ihr tatsächliches JWT-Token.
Anfrageparameter¶
| Parameter | Typ | Beschreibung |
|---|---|---|
| page | ganzzahlig | Seitenzahl für die Paginierung. Standard ist 1. |
| page_size | ganzzahlig | Anzahl der Elemente pro Seite. Standard ist 10. |
| integration_type | Zeichenkette | Dokumente nach Integrationsart filtern. Optionen: google_drive, slack, dropbox, gmail, common_knowledge |
Antwortformat¶
{
"count": 257,
"next": "https://api.rememberizer.ai/api/v1/documents/?page=2&page_size=20&integration_type=google_drive",
"previous": null,
"results": [
{
"document_id": "1aBcD2efGhIjK3lMnOpQrStUvWxYz",
"name": "Projektvorschlag.docx",
"type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"path": "/Documents/Projects/Proposal.docx",
"url": "https://drive.google.com/file/d/1aBcD2efGhIjK3lMnOpQrStUvWxYz/view",
"id": 12345,
"integration_type": "google_drive",
"source": "user@example.com",
"status": "indiziert",
"indexed_on": "2023-06-15T10:30:00Z",
"size": 250000
},
// ... mehr Dokumente
]
}
Verfügbare Integrationsarten¶
| Integrationsart | Beschreibung |
|---|---|
| google_drive | Dokumente von Google Drive |
| slack | Nachrichten und Dateien von Slack |
| dropbox | Dateien von Dropbox |
| gmail | E-Mails von Gmail |
| common_knowledge | Öffentliche Wissensquellen |
Dieser Endpunkt ruft eine Liste von Dokumenten aus Ihren verbundenen Datenquellen ab. Sie können nach Integrationsart filtern, um sich auf bestimmte Quellen zu konzentrieren.